<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net8.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
  </PropertyGroup>

  <ItemGroup>
    <Folder Include="Migrations\" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="MailKit" Version="4.3.0" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.InMemory" Version="8.0.0" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.SqlServer" Version="8.0.1" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Tools" Version="8.0.1">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Microsoft.Extensions.Options.ConfigurationExtensions" Version="8.0.0" />
    <PackageReference Include="MimeKit" Version="4.3.0" />
    <PackageReference Include="SendGrid" Version="9.28.1" />
    <PackageReference Include="System.Linq.Dynamic.Core" Version="1.3.8" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\MTWorkHR.Core\MTWorkHR.Core.csproj" />
    <ProjectReference Include="..\MTWorkHR.Identity\MTWorkHR.Identity.csproj" />
  </ItemGroup>

</Project>
